/*
    quicksort_pool.h - linear tree quicksort for pool.c
    
    Copyright (C) 2009  Laurent Poirrier
    This file is part of the lin-kd-tree library.

    The lin-kd-tree library is free software: you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation, version 3 of the License.

    The lin-kd-tree library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
    General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __OCTREE_QUICKSORT_H
#define __OCTREE_QUICKSORT_H
#include "kd-tree.h"
#include "pool.h"

/*
  The kd-tree quicksort function implements quicksort of an array
  of kdtree_entry elements, based on node paths.
*/
void kdtree_pool_quicksort(kdtree_entry *tree,
	KDTREE_INDEX left, KDTREE_INDEX right);


#endif


